Package org.eclipse.m2m.atl.engine.asm

# Class ASMEmitterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.m2m.atl.engine.asm.ASMEmitterException

All Implemented Interfaces:
  `Serializable`

public class ASMEmitterException extends RuntimeException
ASM emitter exception.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ASMEmitterException(String message)`
Creates an ASMEmitterException with the given message.
`ASMEmitterException(String message, Throwable cause)`
Creates an ASMEmitterException with the given message and the given cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASMEmitterException

public ASMEmitterException(String message)
Creates an ASMEmitterException with the given message.

Parameters:
  `message` - the error message

### ASMEmitterException

public ASMEmitterException(String message, Throwable cause)
Creates an ASMEmitterException with the given message and the given cause.

Parameters:
  `message` - the error message
  `cause` - the error